libodb-mysql-2.4_2.4.0-4_i386.deb


Advertisement

Description

libodb-mysql-2.4 - ODB Runtime Library for MySQL

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libodb-mysql-2.4_2.4.0-4_i386.deb
Package name libodb-mysql-2.4
Package version 2.4.0
Package release 4
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://www.codesynthesis.com/products/odb
License -
Maintainer Laszlo Boszormenyi (GCS) <gcs@debian.org>
Download size 55.58 KB
Installed size 184.00 KB
ODB is an object-relational mapping (ORM) system for C++. It provides
tools, APIs, and library support that allow you to persist C++ objects to
a relational database (RDBMS) without having to deal with tables, columns,
or SQL and without manually writing any of the mapping code.
This package contains the MySQL ODB runtime library. Every application
that includes code generated for the MySQL database will need to link to
this library.

Alternatives

Package Version Architecture Repository
libodb-mysql-2.4_2.4.0-4_amd64.deb 2.4.0 amd64 Debian Main
libodb-mysql-2.4 - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libmariadb3 >= 3.0.0
libodb-2.4 -
libstdc++6 >= 5.2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libodb-mysql-2.4_2.4.0-4_i386.deb
Source Package libodb-mysql

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libodb-mysql-2.4 deb package:
    # sudo apt-get install libodb-mysql-2.4

Files

Path
/usr/lib/i386-linux-gnu/libodb-mysql-2.4.so
/usr/share/doc/libodb-mysql-2.4/changelog.Debian.gz
/usr/share/doc/libodb-mysql-2.4/copyright

Changelog

2019-01-15 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
libodb-mysql (2.4.0-4) unstable; urgency=medium
* Fix FTBFS with recent MariaDB (closes: #919374).
* Update debhelper level to 11:
- remove dh-autoreconf build dependency,
- don't specify parallel to debhelper.
* Update Standards-Version to 4.3.0 .
2016-11-27 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
libodb-mysql (2.4.0-3) unstable; urgency=low
* Switch to build depend on the metapackage default-libmysqlclient-dev
(closes: #845866).
2016-05-25 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
libodb-mysql (2.4.0-2) unstable; urgency=low
* Sync with Ubuntu.
* Update Standards-Version to 3.9.8 .
[ Robie Basak <robie.basak@ubuntu.com> ]
* d/p/libmysqlclient_r: build against libmysqlclient, not _r
(closes: #825080).
* d/control, d/rules: enable dh_autoreconf.
2015-05-25 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
libodb-mysql (2.4.0-1) unstable; urgency=low
* Initial release (closes: #786769).

See Also

Package Description
libodb-mysql-dev_2.4.0-4_i386.deb ODB Runtime Library for MySQL (development)
libodb-pgsql-2.4_2.4.0-1+b1_i386.deb ODB Runtime Library for PostgreSQL
libodb-pgsql-dev_2.4.0-1+b1_i386.deb ODB Runtime Library for PostgreSQL (development)
libodb-qt-2.4_2.4.0-2+b1_i386.deb Qt ODB runtime library
libodb-qt-dev_2.4.0-2+b1_i386.deb Qt ODB runtime library (development)
libodb-sqlite-2.4_2.4.0-1+b1_i386.deb ODB Runtime Library for SQLite
libodb-sqlite-dev_2.4.0-1+b1_i386.deb ODB Runtime Library for SQLite (development)
libodbc1_2.3.6-0.1_i386.deb ODBC library for Unix
libodbcinstq4-1_2.3.0-4+b1_i386.deb Qt-based ODBC configuration library
libode-dev_0.16-3_i386.deb Open Dynamics Engine - development files
libode8_0.16-3_i386.deb Open Dynamics Engine - runtime library
libodfgen-0.1-1_0.1.7-1_i386.deb library to generate ODF documents
libodfgen-dev_0.1.7-1_i386.deb library to generate ODF documents -- development
libodil-dev_0.10.0-3_i386.deb C++11 library for the DICOM standard (development files)
libodil-doc_0.10.0-3_all.deb C++11 library for the DICOM standard (documentation)
Advertisement
Advertisement